#
# Erminig-NG (A two-way synchronization tool for Google-Calendar and
#              "Fremantle-Calendar", the calendar of Maemo 5)
# 
# Copyright (c) 2010 Pascal Jermini <lorelei@garage.maemo.org>
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public License
# version 2.1, as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
# 
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to:
# 
#   Free Software Foundation, Inc.
#   51 Franklin Street, Fifth Floor,
#   Boston, MA 02110-1301 USA
# 

class Event:
	def __init__(self, title, where, descr, start_time, end_time, \
			full_day, id, cdate):
		self.title = title
		self.where = where
		self.descr = descr
		self.start_time = start_time
		self.end_time = end_time
		self.full_day = full_day
		self.cdate = cdate
		self.id = id
		self.tzOffset = 0

	def set_tzOffset(self, o):
		self.tzOffset = o

	def get_tzOffset(self):
		return self.tzOffset

	def eval(self, var):
		if var:
			return var
		else:
			return ""

	def get_title(self):
		return self.eval(self.title)

	def get_where(self):
		return self.eval(self.where)

	def get_start(self):
		return self.eval(self.start_time)

	def get_end(self):
		if self.full_day == 1:
			# we have to take off 1 second in case of full-day
			# events, to make Fremantle Calendar happy
			return self.eval(self.end_time) - 1
		else:
			return self.eval(self.end_time) 

	def get_description(self):
		return self.eval(self.descr)

	def get_id(self):
		return self.eval(self.id)

	def get_fullday(self):
		return self.full_day

	def get_cdate(self):
		return self.full_day
